#include <stdio.h>
#include "fits.h"
#include <df.h>


main(int narg, char *args[])
{
  int i,j;
  char infile[20],outfile[20];
  float *xscale,*yscale;
  struct fits_file fits;
  float *xarray,*yarray;
  int size[2];

  /* open up the files for reading and writing */

  if(narg<2){
    printf("Where does it come from: ");
    scanf("%s",infile);
  }
  else strcpy(infile,args[1]);
  if(narg<3){
    printf("And where is it going: ");
    scanf("%s",outfile);
  }
  else strcpy(outfile,args[2]);
  
  /* read in the fits data */

  fits = rfits(infile);

  if(fits.naxis != 2) {
     fprintf(stderr,"Sorry...this program only handels 2 dimentional data\n");
     fprintf(stderr,"for the time being.  The fits file you have is %d \n",
             fits.naxis);
     fprintf(stderr,"dimentional.\n");
     exit(0);
  }

  xarray = (float *) malloc (fits.size[1]*sizeof(float));
  yarray = (float *) malloc (fits.size[0]*sizeof(float));

  for(i=0;i<fits.size[1];i++) xarray[i] = i + 1.0;
  for(i=0;i<fits.size[0];i++) yarray[i] = i + 1.0;

  /* tell the hdf file what your giving it in the comming array */
  
  size[1] = fits.size[0];
  size[0] = fits.size[1];
  

  if(DFSDsetdims(fits.naxis,size)){
    fprintf(stderr,"DDFSDsetdims error\n");
  }

  if(DFSDsetdimscale(1,fits.size[1],xarray)){
    fprintf(stderr,"DDFSDsetdimscale x error\n");
  }

  if(DFSDsetdimscale(2,fits.size[0],yarray)){
    fprintf(stderr,"DDFSDsetdimscale y error\n");
  }

  /* next give it the array */

  if(DFSDputdata(outfile,fits.naxis,size,fits.data)){
    fprintf(stderr,"DDSDputdata error\n");
  }
}


